CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

problem when installing foam-extend-1.6

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   August 31, 2015, 22:31
Default problem when installing foam-extend-1.6
  #1
Member
 
pan
Join Date: May 2015
Posts: 30
Rep Power: 4
Thomas pan is on a distinguished road
hi,foamers:
I am installing foam-extend-1.6,but i can't install cmake and libccmio-2.6.1. The following information was given:
PHP Code:
This system rpm commandrpm --force-debian

========================================
Starting ThirdParty Allwmake
========================================


This system rpm commandrpm --force-debian

========================================
Starting ThirdParty AllMakeStage1
========================================

Package name      cmake-2.8.11
Package URL       
http://www.cmake.org/files/v2.8/cmake-2.8.11.tar.gz
RPM spec file namecmake-2.8.11.spec
Additional flags  

Updating the ThirdParty environment variables before building package cmake-2.8.11
Download cmake
-2.8.11.tar.gz from http://www.cmake.org/files/v2.8/cmake-2.8.11.tar.gz
--2015-09-01 09:38:02--  http://www.cmake.org/files/v2.8/cmake-2.8.11.tar.gz
姝e湪瑙f瀽涓绘満 www.cmake.org (www.cmake.org)... 66.194.253.19
姝e湪杩炴帴 www.cmake.org (www.cmake.org)|66.194.253.19|:80... Failure, rejected the connection.
Making package cmake-2.8.11 using RPM.
Building package cmake-2.8.11 using SPEC file cmake-2.8.11.specOptional args
&
#38335;欒锛?鏂囦欢 /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/cmake-2.8.11.tar.gzNo such file or directory
Installing packagecmake-2.8.11
  Uninstalling cmake
-2.8.11 using RPMcmake-2.8.11-linuxGcc46DPOpt.i386
  Installing cmake
-2.8.11 using RPM file: /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/RPMS/i386/cmake-2.8.11-linuxGcc46DPOpt.i386.rpm
閿欒锛?鎵撳紑 /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/RPMS/i386/cmake-2.8.11-linuxGcc46DPOpt.i386.rpm No such file or directory
Done installing package 

========================================
Done ThirdParty AllMakeStage1
========================================


This system rpm commandrpm --force-debian

========================================
Starting ThirdParty AllMakeStage2
========================================

Using system installed OpenMPI

========================================
Done ThirdParty AllMakeStage2
========================================


This system rpm commandrpm --force-debian

========================================
Starting ThirdParty AllMakeStage3
========================================

Package name      metis-5.0pre2
Package URL       
http://glaros.dtc.umn.edu/gkhome/fetch/sw/metis/OLD/metis-5.0pre2.tar.gz
RPM spec file namemetis-5.0pre2.spec
Additional flags  

Updating the ThirdParty environment variables before building package metis-5.0pre2
Package metis
-5.0pre2 is already installed
Done installing package 

Package name      
ParMGridGen-1.0
Package URL       
http://www.mgnet.org/mgnet/Codes/parmgridgen/ParMGridGen-1.0.tar.gz
RPM spec file nameParMGridGen-1.0.spec
Additional flags  

Updating the ThirdParty environment variables before building package ParMGridGen-1.0
Package ParMGridGen
-1.0 is already installed
Done installing package 

Package name      
libccmio-2.6.1
Package URL       
http://portal.nersc.gov/svn/visit/tags/2.4.2/third_party/libccmio-2.6.1.tar.gz
RPM spec file namelibccmio-2.6.1.spec
Additional flags  

Updating the ThirdParty environment variables before building package libccmio-2.6.1
Making package libccmio
-2.6.1 using RPM.
Building package libccmio-2.6.1 using SPEC file libccmio-2.6.1.specOptional args
&
#37813;ц(%prep): /bin/sh -e /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/tmp/rpm-tmp.HKic0Y
umask 022
cd /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD
cd /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD
rm -rf libccmio-2.6.1
+ /bin/gzip -dc /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/libccmio-2.6.1.tar.gz
+ /bin/tar -xf -
STATUS=0
+ [ -ne 0 ]
cd libccmio-2.6.1
+ echo Patch #0 (libccmio-2.6.1.patch_0):
Patch #0 (libccmio-2.6.1.patch_0):
+ /bin/cat /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/libccmio-2.6.1.patch_0
+ /usr/bin/patch --p1 --fuzz=0
+ exit 0
鎵ц(%build): /bin/sh -e /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/tmp/rpm-tmp.vdrtre
umask 022
cd /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD
cd libccmio-2.6.1
+ [ -n gcc ]
export CC=gcc
+ [ -n g++ ]
export CXX=g++
+ [ -
n  ]
+ [ -
n  ]
+ [ -
n  ]
+ [ -
z 4 ]
+ unset 
RELEASE
+ unset DEBUG
+ unset STATIC
+ unset 
SHARED
+ [ -d libadf ]
cd libadf
RELEASE=1 SHARED=1 make -f Makefile.qmake all
..//config/runqmake ../ \
      
-o Makefile.adf adf.pro 2>&tee qmake.vars
..//config/runqmake: line 47: /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD/libccmio-2.6.1/libadf/..//config/unknown/qmake: No such file or directory
make[1]: Entering directory `/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD/libccmio-2.6.1/libadf'
make[1]: *** No rule to make target 
`/u/xeona04/people/prewett/src/libccmio/config/linux64_2.4-x86-glibc_2.2.5/qmake.conf', needed by `Makefile.adf'.  Stop.
make[1]: Leaving directory `/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD/libccmio-2.6.1/libadf'
make: *** [all] Error 2
error: /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/tmp/rpm-tmp.vdrtre (%build) Exit status is not good

RPM 鏋勫缓閿欒锛?    /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/tmp/rpm-tmp.vdrtre (%build) 閫€鍑虹姸鎬佷笉濂?Installing package: libccmio-2.6.1
  Uninstalling libccmio-2.6.1 using RPM: libccmio-2.6.1-linuxGcc46DPOpt.i386
  Installing libccmio-2.6.1 using RPM file: /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/RPMS/i386/libccmio-2.6.1-linuxGcc46DPOpt.i386.rpm
閿欒锛?鎵撳紑 /home/pjc/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/RPMS/i386/libccmio-2.6.1-linuxGcc46DPOpt.i386.rpm 澶辫触锛?娌℃湁閭d釜鏂囦欢鎴栫洰褰?Done installing package 

Package name      : mesquite-2.1.2
Package URL       : http://downloads.sourceforge.net/project/openfoam-extend/foam-extend-3.0/ThirdParty/mesquite-2.1.2.tar.gz
RPM spec file name: mesquite-2.1.2.spec
Additional flags  : 
Updating the ThirdParty environment variables before building package mesquite-2.1.2
Package mesquite-2.1.2 is already installed
Done installing package 

Package name      : scotch-5.1.10b
Package URL       : https://gforge.inria.fr/frs/download.php/27583/scotch-5.1.10b.tar.gz
RPM spec file name: scotch-5.1.10b.spec
Additional flags  : 
Updating the ThirdParty environment variables before building package scotch-5.1.10b
Package scotch-5.1.10b is already installed
Done installing package 

Package name      : ParMetis-3.1.1
Package URL       : http://glaros.dtc.umn.edu/gkhome/fetch/sw/parmetis/OLD/ParMetis-3.1.1.tar.gz
RPM spec file name: ParMetis-3.1.1.spec
Additional flags  : 
Updating the ThirdParty environment variables before building package ParMetis-3.1.1
Package ParMetis-3.1.1 is already installed
Done installing package 

========================================
Done ThirdParty AllMake: Stage3
========================================


This system rpm command: rpm --force-debian

========================================
Starting ThirdParty AllMake: Stage4
========================================

Using system installed QT

Using system installed ParaView

========================================
Done ThirdParty AllMake: Stage4
========================================

========================================
Done ThirdParty Allwmake
======================================== 
can anybody help me?
Attached Files
File Type: gz log.AllMake.tar.gz (1.7 KB, 2 views)
Thomas pan is offline   Reply With Quote

Old   September 1, 2015, 15:50
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,125
Blog Entries: 39
Rep Power: 110
wyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of light
Greetings Thomas pan,

Knowing which Linux distribution you're using would make it a bit easier to suggest a fix. Nonetheless, it seems to be possible to diagnose the two problems:
  1. Download manually the source code package for CMake from the link provided, namely: http://www.cmake.org/files/v2.8/cmake-2.8.11.tar.gz
    Then place the downloaded file inside the folder "OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/".
  2. The libccmio library is not being built because the binary qmake cannot be found. This either means that only qmake-qt4 exists or that Qt is not installed.
    • If Qt is installed, then test if qmake-qt4 exists by running:
      Code:
      which qmake-qt4
      If it returns the path to where qmake-qt4 is installed, then run:
      Code:
      ln -s $(which qmake-qt4) $WM_PROJECT_DIR/bin/qmake
Then try running AllMake again.


Best regards,
Bruno
__________________
wyldckat is offline   Reply With Quote

Old   September 1, 2015, 22:26
Default
  #3
Member
 
pan
Join Date: May 2015
Posts: 30
Rep Power: 4
Thomas pan is on a distinguished road
Thank you Bruno,

I have installed cmake in ubuntu 12.04(32bit) successfully.But the libccmio problem still exist:
PHP Code:
Package name      libccmio-2.6.1
Package URL       
http://portal.nersc.gov/svn/visit/ta...o-2.6.1.tar.gz
RPM spec file namelibccmio-2.6.1.spec
Additional flags  

Updating the ThirdParty environment variables before building package libccmio-2.6.1
Making package libccmio
-2.6.1 using RPM.
Building package libccmio-2.6.1 using SPEC file libccmio-2.6.1.specOptional args
Executing(%prep): /bin/sh -/home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/tmp/rpm-tmp.KEBvWP
umask 022
cd /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD
cd /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD
rm -rf libccmio-2.6.1
+ /bin/tar -xf -
+ /
bin/gzip -dc /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/libccmio-2.6.1.tar.gz
STATUS=0
+ [ -ne 0 ]
cd libccmio-2.6.1
+ echo Patch #0 (libccmio-2.6.1.patch_0):
Patch #0 (libccmio-2.6.1.patch_0):
+ /usr/bin/patch --p1 --fuzz=0
+ /bin/cat /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/libccmio-2.6.1.patch_0
+ exit 0
Executing
(%build): /bin/sh -/home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/tmp/rpm-tmp.hwg61Q
umask 022
cd /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD
cd libccmio-2.6.1
+ [ -n gcc ]
export CC=gcc
+ [ -n g++ ]
export CXX=g++
+ [ -
n  ]
+ [ -
n  ]
+ [ -
n  ]
+ [ -
z 4 ]
+ unset 
RELEASE
+ unset DEBUG
+ unset STATIC
+ unset 
SHARED
+ [ -d libadf ]
cd libadf
RELEASE=1 SHARED=1 make -f Makefile.qmake all
..//config/runqmake ../ \
      
-o Makefile.adf adf.pro 2>&tee qmake.vars
..//config/runqmake: line 47: /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD/libccmio-2.6.1/libadf/..//config/unknown/qmake: No such file or directory
make[1]: Entering directory `/home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD/libccmio-2.6.1/libadf'
make[1]: *** No rule to make target 
`/u/xeona04/people/prewett/src/libccmio/config/linux64_2.4-x86-glibc_2.2.5/qmake.conf', needed by `Makefile.adf'.  Stop.
make[1]: Leaving directory `/home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/BUILD/libccmio-2.6.1/libadf'
make: *** [all] Error 2
error: Bad exit status from /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/tmp/rpm-tmp.hwg61Q (%build)


RPM build errors:
    Bad exit status from /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/tmp/rpm-tmp.hwg61Q (%build)
Installing package: libccmio-2.6.1
  Uninstalling libccmio-2.6.1 using RPM: libccmio-2.6.1-linuxGcc46DPOpt.i386
  Installing libccmio-2.6.1 using RPM file: /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/RPMS/i386/libccmio-2.6.1-linuxGcc46DPOpt.i386.rpm
error: open of /home/wanghaotian0822/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/RPMS/i386/libccmio-2.6.1-linuxGcc46DPOpt.i386.rpm failed: No such file or directory
Done installing package 
My qmake-qt4 is installed in /usr/bin/qmake-qt4.
when i build 1.6-ext,"no such file ordirectory " appears somewhere such as PIStream,does libccmio cause this?

Best wishes,
pan
Thomas pan is offline   Reply With Quote

Old   September 1, 2015, 22:31
Default
  #4
Member
 
pan
Join Date: May 2015
Posts: 30
Rep Power: 4
Thomas pan is on a distinguished road
I am following this website:
http://openfoamwiki.net/index.php/In...u#Ubuntu_12.04
Thomas pan is offline   Reply With Quote

Old   September 3, 2015, 17:09
Default
  #5
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,125
Blog Entries: 39
Rep Power: 110
wyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of light
Hi pan,

Unfortunately the issue with building "libccmio" in 32-bit is a problem that I still don't know the solution for it. Nonetheless, you can ignore it and proceed onwards with the rest of the installation, since most of the other 3rd packages seem to have been installed with success.

As for the other problem you vaguely mentioned:
Quote:
Originally Posted by Thomas pan View Post
when i build 1.6-ext,"no such file ordirectory " appears somewhere such as PIStream,does libccmio cause this?
I need the "log" file in order to be able to properly diagnose the problem. But to answer your question: no, "libccmio" should only affect building the utility "ccm26ToFoam" and nothing else.

Best regards,
Bruno
wyldckat is offline   Reply With Quote

Old   September 6, 2015, 23:27
Default
  #6
Member
 
pan
Join Date: May 2015
Posts: 30
Rep Power: 4
Thomas pan is on a distinguished road
Thank you very much Bruno,my foam-1.6-extend can be used successfully,although the 'can not open file' still exist somewhere.

But when I install swak4Foam, it has some errors:
Quote:
This is a clean install
Reading variables from 'swakConfiguration'
swakConfiguration: 行 1: python-config: 未找到命令
swakConfiguration: 行 2: python-config: 未找到命令
swakConfiguration: 第 13 行: [: : 期待整数表达式
Checking swak4Foam-version and generating file
中止: no repository found in '/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/swak4Foam_1.x' (.hg not found)!
Swak version is 0.3.2
Bison is version 2.5
Flex is version 2.5.35 (Minor version: 35)
OpenFOAM-version: Major 1 Minor 6 Patch 1.6-ext (1.6-ext)
No swak4FoamParsers/foamVersion4swak.H. Generated
wmakeLnInclude: linking include files to simpleFunctionObjects/lnInclude
wmakeLnInclude: linking include files to ./lnInclude
Making dependency list for source file helpers/printSwakVersion.C
Making dependency list for source file helpers/switchableNotImplemented.C
Making dependency list for source file helpers/exprString.C
Making dependency list for source file helpers/DebugOStream.C
Making dependency list for source file entryToExpression/entryToExpression.C
Making dependency list for source file entryToExpression/directEntryToExpression.C
Making dependency list for source file entryToExpression/stringEntryToExpression.C
Making dependency list for source file entryToExpression/boolEntryToExpression.C
Making dependency list for source file entryToExpression/vectorEntryToExpression.C
Making dependency list for source file entryToExpression/tensorEntryToExpression.C
Making dependency list for source file entryToExpression/sphericalTensorEntryToExpression.C
Making dependency list for source file entryToExpression/symmTensorEntryToExpression.C
Making dependency list for source file entryToExpression/dimensionedScalarEntryToExpression.C
Making dependency list for source file entryToExpression/dimensionedVectorEntryToExpression.C
Making dependency list for source file entryToExpression/dimensionedSymmTensorEntryToExpressioMaking dependency list for source file entryToExpression/dimensionedSphericalTensorEntryToExpression.C
Making dependency list for source file repositories/MeshesRepository.C
Making dependency list for source file repositories/RepositoryBase.C
Making dependency list for source file repositories/SurfacesRepository.C
Making dependency list for source file repositories/SetsRepository.C
Making dependency list for source file repositories/GlobalVariablesRepository.C
Making dependency list for source file namedEnums/MeshInterpolationOrder.C
Making dependency list for source file namedEnums/LogicalAccumulationNamedEnum.C
Making dependency list for source file ExpressionResult/ExpressionResult.C
Making dependency list for source file namedEnums/NumericAccumulationNamedEnum.C
Making dependency list for source file ExpressionResult/StoredExpressionResult.C
Making dependency list for source file ExpressionResult/DelayedExpressionResult.C
Making dependency list for source file ExpressionResult/StackExpressionResult.C
Making dependency list for source file ExpressionResult/StoredStackExpressionResult.C
Making dependency list for source file setsAndSurfaces/swakRegistryProxySurface.C
Making dependency list for source file setsAndSurfaces/swakRegistryProxySet.C
Making dependency list for source file FieldValueExpressionParser.yy
Making dependency list for source file PatchValueExpressionParser.yy
Making dependency list for source file SubsetValueExpressionParser.yy
could not open file FieldValueExpressionParser.tab.hh for source file FieldValueExpressionParser.yy
Making dependency list for source file CommonValueExpressionDriver.C
could not open file mappedFvPatch.H for source file FieldValueExpressionParser.yy
could not open file mappedPointPatch.H for source file FieldValueExpressionParser.yy
could not open file PatchValueExpressionParser.tab.hh for source file PatchValueExpressionParser.yy
Making dependency list for source file FieldValueExpressionDriver.C
could not open file FieldValueExpressionParser.tab.hh for source file FieldValueExpressionDriver.C
Making dependency list for source file FieldValueExpressionLexer.ll
could not open file FieldValueExpressionParser.tab.hh for source file FieldValueExpressionLexer.ll
could not open file SubsetValueExpressionParser.tab.hh for source file SubsetValueExpressionParser.yy
Making dependency list for source file PatchValueExpressionLexer.ll
Making dependency list for source file PatchValueExpressionDriver.C
could not open file mappedFvPatch.H for source file FieldValueExpressionDriver.C
could not open file mappedPointPatch.H for source file FieldValueExpressionDriver.C
Making dependency list for source file SubsetValueExpressionLexer.ll
could not open file mappedFvPatch.H for source file FieldValueExpressionLexer.ll
could not open file mappedPointPatch.H for source file FieldValueExpressionLexer.ll
Making dependency list for source file SubsetValueExpressionDriver.C
could not open file PatchValueExpressionParser.tab.hh for source file PatchValueExpressionLexer.ll
could not open file PatchValueExpressionParser.tab.hh for source file PatchValueExpressionDriver.C
Making dependency list for source file SetSubsetValueExpressionDriver.C
could not open file FieldValueExpressionParser.tab.hh for source file PatchValueExpressionDriver.C
could not open file mappedFvPatch.H for source file PatchValueExpressionDriver.C
could not open file mappedPointPatch.H for source file PatchValueExpressionDriver.C
could not open file SubsetValueExpressionParser.tab.hh for source file PatchValueExpressionDriver.C
Making dependency list for source file CellSetValueExpressionDriver.C
could not open file SubsetValueExpressionParser.tab.hh for source file SubsetValueExpressionLexer.ll
Making dependency list for source file FaceSetValueExpressionDriver.C
could not open file SubsetValueExpressionParser.tab.hh for source file SubsetValueExpressionDriver.C
Making dependency list for source file CellZoneValueExpressionDriver.C
could not open file SubsetValueExpressionParser.tab.hh for source file SetSubsetValueExpressionDriver.C
Making dependency list for source file FaceZoneValueExpressionDriver.C
could not open file SubsetValueExpressionParser.tab.hh for source file CellSetValueExpressionDriver.C
could not open file SubsetValueExpressionParser.tab.hh for source file FaceSetValueExpressionDriver.C
Making dependency list for source file SampledSurfaceValueExpressionDriver.C
Making dependency list for source file SampledSetValueExpressionDriver.C
could not open file SubsetValueExpressionParser.tab.hh for source file CellZoneValueExpressionDriver.C
Making dependency list for source file plugins/CommonPluginFunction.C
could not open file SubsetValueExpressionParser.tab.hh for source file FaceZoneValueExpressionDriver.C
Making dependency list for source file plugins/FieldValuePluginFunction.C
could not open file SubsetValueExpressionParser.tab.hh for source file SampledSurfaceValueExpressionDriver.C
could not open file SubsetValueExpressionParser.tab.hh for source file SampledSetValueExpressionDriver.C
Making dependency list for source file plugins/PatchValuePluginFunction.C
Making dependency list for source file plugins/CellSetValuePluginFunction.C
Making dependency list for source file plugins/CellZoneValuePluginFunction.C
could not open file FieldValueExpressionParser.tab.hh for source file plugins/FieldValuePluginFunction.C
could not open file mappedFvPatch.H for source file plugins/FieldValuePluginFunction.C
could not open file mappedPointPatch.H for source file plugins/FieldValuePluginFunction.C
Making dependency list for source file plugins/FaceSetValuePluginFunction.C
could not open file PatchValueExpressionParser.tab.hh for source file plugins/PatchValuePluginFunction.C
could not open file SubsetValueExpressionParser.tab.hh for source file plugins/CellSetValuePluginFunction.C
Making dependency list for source file plugins/FaceZoneValuePluginFunction.C
Making dependency list for source file plugins/SampledSetValuePluginFunction.C
could not open file SubsetValueExpressionParser.tab.hh for source file plugins/CellZoneValuePluginFunction.C
Making dependency list for source file plugins/SampledSurfaceValuePluginFunction.C
could not open file SubsetValueExpressionParser.tab.hh for source file plugins/FaceSetValuePluginFunction.C
could not open file SubsetValueExpressionParser.tab.hh for source file plugins/FaceZoneValuePluginFunction.C
could not open file SubsetValueExpressionParser.tab.hh for source file plugins/SampledSetValuePluginFunction.C
could not open file SubsetValueExpressionParser.tab.hh for source file plugins/SampledSurfaceValuePluginFunction.C
SOURCE=helpers/printSwakVersion.C ; g++ -m64 -Dlinux64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O3 -DNoRepository -ftemplate-depth-40 -IMake/linux64Gcc46DPOpt -DFOAM_DEV -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/finiteVolume/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/sampling/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/triSurface/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/surfMesh/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/lagrangian/basic/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/meshTools/lnInclude -IlnInclude -I. -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/OpenFOAM/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/OSspecific/POSIX/lnInclude -fPIC -c $SOURCE -o Make/linux64Gcc46DPOpt/printSwakVersion.o
SOURCE=helpers/exprString.C ; g++ -m64 -Dlinux64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O3 -DNoRepository -ftemplate-depth-40 -IMake/linux64Gcc46DPOpt -DFOAM_DEV -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/finiteVolume/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/sampling/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/triSurface/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/surfMesh/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/lagrangian/basic/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/meshTools/lnInclude -IlnInclude -I. -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/OpenFOAM/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/OSspecific/POSIX/lnInclude -fPIC -c $SOURCE -o Make/linux64Gcc46DPOpt/exprString.o
SOURCE=helpers/switchableNotImplemented.C ; g++ -m64 -Dlinux64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O3 -DNoRepository -ftemplate-depth-40 -IMake/linux64Gcc46DPOpt -DFOAM_DEV -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/finiteVolume/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/sampling/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/triSurface/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/surfMesh/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/lagrangian/basic/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/meshTools/lnInclude -IlnInclude -I. -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/OpenFOAM/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/OSspecific/POSIX/lnInclude -fPIC -c $SOURCE -o Make/linux64Gcc46DPOpt/switchableNotImplemented.o
SOURCE=helpers/DebugOStream.C ; g++ -m64 -Dlinux64 -DWM_DP -Wall -Wextra -Wno-unused-parameter -Wold-style-cast -Wnon-virtual-dtor -O3 -DNoRepository -ftemplate-depth-40 -IMake/linux64Gcc46DPOpt -DFOAM_DEV -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/finiteVolume/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/sampling/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/triSurface/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/surfMesh/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/lagrangian/basic/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/meshTools/lnInclude -IlnInclude -I. -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/OpenFOAM/lnInclude -I/home/pjc/OpenFOAM/OpenFOAM-1.6-ext/src/OSspecific/POSIX/lnInclude -fPIC -c $SOURCE -o Make/linux64Gcc46DPOpt/DebugOStream.o
In file included from helpers/printSwakVersion.C:44:0:
lnInclude/swak.H:63:5: 错误: 浮点常量出现在预处理表达式中(Error : floating constant in preprocessor expression)
lnInclude/swak.H:69:5: 错误: 浮点常量出现在预处理表达式中
lnInclude/swak.H:84:5: 错误: 浮点常量出现在预处理表达式中
lnInclude/swak.H:89:5: 错误: 浮点常量出现在预处理表达式中
In file included from lnInclude/ExpressionResult.H:50:0,
from lnInclude/CommonValueExpressionDriver.H:58,
from helpers/exprString.C:39:
lnInclude/swak.H:63:5: 错误: 浮点常量出现在预处理表达式中
lnInclude/swak.H:69:5: 错误: 浮点常量出现在预处理表达式中
lnInclude/swak.H:84:5: 错误: 浮点常量出现在预处理表达式中
lnInclude/swak.H:89:5: 错误: 浮点常量出现在预处理表达式中
helpers/DebugOStream.C: 在函数‘Foam::word Foam::getHex(const void*)’中:
helpers/DebugOStream.C:69:35: 警告: 使用旧式的类型转换 [-Wold-style-cast]
make: *** [Make/linux64Gcc46DPOpt/printSwakVersion.o] 错误 1
make: *** 正在等待未完成的任务....
make: *** [Make/linux64Gcc46DPOpt/exprString.o] 错误 1
Parser library did not compile OK. No sense continuing as everything else depends on it

Requirements for Library not satisfied. I see no sense in going on
Check the README before you go on to ask. And search: Most likely your problem occured to 5 other people before and has been solved on the MessageBoard
Sorry,there is some chinese,but i think you can understand.
Thomas pan is offline   Reply With Quote

Old   September 7, 2015, 18:47
Default
  #7
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,125
Blog Entries: 39
Rep Power: 110
wyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of light
Quick answer: Follow the download instructions given here: http://openfoamwiki.net/index.php/In...enFOAM_1.6-ext

The reason is that there is some strange bug (i.e. I haven't diagnosed the reason why it happens) in the latest swak4Foam 0.3.2, but the version 0.2.4 works just fine, as instructed in the link above.
wyldckat is offline   Reply With Quote

Old   September 9, 2015, 21:53
Default
  #8
Member
 
pan
Join Date: May 2015
Posts: 30
Rep Power: 4
Thomas pan is on a distinguished road
Thank you Bruno,It still some errors, But my libsimpleFunctionObjects.so works,that's OK.
Thomas pan is offline   Reply With Quote

Reply

Tags
ext-1.6, libccmio-2.6.1, rpm build, stage3

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Incompatible dimensions for operation ruben23 OpenFOAM Running, Solving & CFD 2 June 12, 2015 04:14
[swak4Foam] Basic Error when installing swak4foam with foam extend 3.0 mnobrega OpenFOAM Community Contributions 6 April 1, 2014 01:47
is internalField(U) equivalent to zeroGradient? immortality OpenFOAM Running, Solving & CFD 7 March 29, 2013 02:27
Problem on Installing OpenFOAM 1.6 on Fedora 11 lzgwhy OpenFOAM Installation 1 August 25, 2009 11:02
problem about installing FOAM linux freshman Main CFD Forum 6 November 4, 2004 11:59


All times are GMT -4. The time now is 09:50.